List an Organization's Teams
GET /api/0/organizations/{organization_id_or_slug}/teams/
Returns a list of teams bound to a organization.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
Query Parameters:
detailed(string)Specify
"0"to return team details that do not include projects.cursor(string)A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.
per_page(integer)Limit the number of rows to return in the result. Default and maximum allowed is 100.
query(string)Filter teams by name or slug.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:org:adminorg:readorg:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/teams/ \ -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied[ { "id": "48531", "slug": "ancient-gabelers", "name": "Ancient Gabelers", "dateCreated": "2018-11-06T21:20:08.115Z", "isMember": false, "teamRole": null, "flags": { "idp:provisioned": false }, "access": [ "member:read", "alerts:read", "org:read", "event:read", "project:read", "project:releases", "event:write", "team:read" ], "hasAccess": true, "isPending": false, "memberCount": 2, "avatar": { "avatarType": "letter_avatar", "avatarUuid": null } }, { "id": "100253", "slug": "powerful-abolitionist", "name": "Powerful Abolitionist", "dateCreated": "2018-10-03T17:47:50.745447Z", "isMember": false, "teamRole": null, "flags": { "idp:provisioned": false }, "access": [ "member:read", "alerts:read", "org:read", "event:read", "project:read", "project:releases", "event:write", "team:read" ], "hasAccess": true, "isPending": false, "memberCount": 5, "avatar": { "avatarType": "letter_avatar", "avatarUuid": null }, "projects": [ { "id": "6403534", "slug": "prime-mover", "name": "Prime Mover", "platform": null, "dateCreated": "2019-04-06T00:02:40.468175Z", "isBookmarked": false, "isMember": false, "features": [ "alert-filters", "custom-inbound-filters", "discard-groups", "minidump", "rate-limits", "servicehooks", "similarity-indexing", "similarity-indexing-v2", "similarity-view", "similarity-view-v2", "releases" ], "firstEvent": "2019-04-06T02:00:21Z", "firstTransactionEvent": true, "access": [ "alerts:read", "event:write", "org:read", "project:read", "member:read", "team:read", "event:read", "project:releases" ], "hasAccess": true, "hasMinifiedStackTrace": false, "hasMonitors": true, "hasProfiles": false, "hasReplays": false, "hasFlags": false, "hasFeedbacks": false, "hasNewFeedbacks": false, "hasSessions": true, "hasInsightsHttp": true, "hasInsightsDb": false, "hasInsightsAssets": true, "hasInsightsAppStart": false, "hasInsightsScreenLoad": false, "hasInsightsVitals": false, "hasInsightsCaches": false, "hasInsightsQueues": false, "hasInsightsAgentMonitoring": false, "hasInsightsMCP": false, "hasLogs": false, "hasTraceMetrics": false, "isInternal": false, "isPublic": false, "avatar": { "avatarType": "letter_avatar", "avatarUuid": null }, "color": "#6d3fbf", "status": "active" }, { "id": "6403599", "slug": "the-spoiled-yoghurt", "name": "The Spoiled Yoghurt", "platform": "", "dateCreated": "2022-06-24T17:55:27.304367Z", "isBookmarked": false, "isMember": false, "features": [ "alert-filters", "custom-inbound-filters", "discard-groups", "minidump", "rate-limits", "servicehooks", "similarity-indexing", "similarity-indexing-v2", "similarity-view", "similarity-view-v2" ], "firstEvent": "2022-07-13T18:17:56.197351Z", "firstTransactionEvent": false, "access": [ "alerts:read", "event:write", "org:read", "project:read", "member:read", "team:read", "event:read", "project:releases" ], "hasAccess": true, "hasMinifiedStackTrace": false, "hasMonitors": true, "hasProfiles": false, "hasReplays": false, "hasFlags": false, "hasFeedbacks": false, "hasNewFeedbacks": false, "hasSessions": false, "hasInsightsHttp": false, "hasInsightsDb": true, "hasInsightsAssets": true, "hasInsightsAppStart": true, "hasInsightsScreenLoad": true, "hasInsightsVitals": false, "hasInsightsCaches": false, "hasInsightsQueues": false, "hasInsightsAgentMonitoring": false, "hasInsightsMCP": false, "hasLogs": false, "hasTraceMetrics": false, "isInternal": false, "isPublic": false, "avatar": { "avatarType": "letter_avatar", "avatarUuid": null }, "color": "#6e3fbf", "status": "active" } ] } ]
Was this helpful?